############# 
# Output
#############

output top_level {
  output L1Calo {
    output Legacy {
     output .GlobalSummary {
      output HAD {
      }
      output EM {
      }
     }
    }
    output Expert {
     output PPM {
      output SpareChannels {
        output ADC {
        }
        output Errors {
          output Detail {
          }
        }
      }
      output Errors {
        output Data_Simulation {
          output MismatchEventNumbers {
          }
          output PPMLUTSim {
          }
          output PPMBcidSim {
          }
        }
        output Detail {
        }
      }
      output ADC {
        output EtaPhiMaps {
        }
        output Timeslices {
        }
      }
      output LUT-CP {
        output EtaPhiMaps {
        }
        output Distributions {
        }
      }
      output LUT-JEP {
        output EtaPhiMaps {
        }
        output Distributions {
        }
      }
      output Stability {
        output FineTime {
          output FineTime_Lumi {
          }
        }
        output Pedestal {
          output Pedestal_Summary {
          }
          output Pedestal_BCN {
          }
          output Pedestal_Lumi {
          }
        }
        output PedestalCorrection {
          output PedestalCorrection_Summary {
          }
          output PedestalCorrection_BCN {
          }
          output PedestalCorrection_Lumi {
          }
        }
        output EtCorrelation {
          output EtCorrelation_Lumi {
          }
        }
      }
     }
    }
  }
}



dir L1Calo {
  algorithm = L1Calo_GatherData
  reference = CentrallyManagedReferences_TriggerMain
  output = L1Calo
  dir PPM {
    dir SpareChannels {
      dir ADC {
        output = L1Calo/Expert/PPM/SpareChannels/ADC
        hist ppmspare_1d_tt_adc_TriggeredSlice {
          display = LogY
        }
        hist ppmspare_2d_tt_adc_ProfileMap {
          display = SetPalette(1)
        }
      }
      dir Errors {
        output = L1Calo/Expert/PPM/SpareChannels/Errors
        hist ppmspare_1d_ErrorSummary {
          display = SetGridx,SetGridy
        }
        hist ppmspare_2d_ASICErrorEventNumbers {
        }
        hist ppmspare_2d_ErrorEventNumbers {
        }
        hist ppmspare_2d_ErrorField25 {
          display = SetGridx,SetGridy
        }
        hist ppmspare_2d_Status25 {
          display = SetGridx,SetGridy
        }
        dir Detail {
          output = L1Calo/Expert/PPM/SpareChannels/Errors/Detail
          hist ppmspare_2d_Channel0DisabledChannel1DisabledCrate23 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_Channel0DisabledChannel1DisabledCrate45 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_Channel2DisabledChannel3DisabledCrate23 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_Channel2DisabledChannel3DisabledCrate45 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_EventMismatchBunchMismatchCrate23 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_EventMismatchBunchMismatchCrate45 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_FIFOCorruptPinParityCrate23 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_FIFOCorruptPinParityCrate45 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_MCMAbsentCrate23 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_MCMAbsentCrate45 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_TimeoutASICFullCrate23 {
            display = SetGridx,SetGridy
          }
          hist ppmspare_2d_TimeoutASICFullCrate45 {
            display = SetGridx,SetGridy
          }
        }
      }
    }
    dir Errors {
      output = L1Calo/Expert/PPM/Errors
      hist ppm_1d_ErrorSummary {
        algorithm = L1Calo_IsEmpty
      }
      hist ppm_2d_ASICErrorEventNumbers {
      }
      hist ppm_2d_ErrorEventNumbers {
      }
      hist ppm_2d_BcnMismatch03 {
        display = SetPalette(1)
      }
      hist ppm_2d_BcnMismatch47 {
        display = SetPalette(1)
      }
      hist ppm_2d_ErrorField03 {
        display = SetPalette(1)
      }
      hist ppm_2d_ErrorField47 {
        display = SetPalette(1)
      }
      hist ppm_2d_Status03 {
        display = SetPalette(1)
      }
      hist ppm_2d_Status47 {
        display = SetPalette(1)
      }
      dir Data_Simulation {
        dir MismatchEventNumbers {
          output = L1Calo/Expert/PPM/Errors/Data_Simulation/MismatchEventNumbers
          hist ppm_2d_LUT_MismatchEvents_cr0cr1 {
          }
          hist ppm_2d_LUT_MismatchEvents_cr2cr3 {
          }
          hist ppm_2d_LUT_MismatchEvents_cr4cr5 {
          }
          hist ppm_2d_LUT_MismatchEvents_cr6cr7 {
          }
        }
        dir PPMLUTSim {
          output = L1Calo/Expert/PPM/Errors/Data_Simulation/PPMLUTSim
          hist ppm_em_2d_etaPhi_tt_lutCp_DataNoSim {
          }
          hist ppm_em_2d_etaPhi_tt_lutCp_SimEqData {
          }
          hist ppm_em_2d_etaPhi_tt_lutCp_SimNeData {
          }
          hist ppm_em_2d_etaPhi_tt_lutCp_SimNoData {
          }
          hist ppm_em_2d_etaPhi_tt_lutJep_DataNoSim {
          }
          hist ppm_em_2d_etaPhi_tt_lutJep_SimEqData {
          }
          hist ppm_em_2d_etaPhi_tt_lutJep_SimNeData {
          }
          hist ppm_em_2d_etaPhi_tt_lutJep_SimNoData {
          }
          hist ppm_had_2d_etaPhi_tt_lutCp_DataNoSim {
          }
          hist ppm_had_2d_etaPhi_tt_lutCp_SimEqData {
          }
          hist ppm_had_2d_etaPhi_tt_lutCp_SimNeData {
          }
          hist ppm_had_2d_etaPhi_tt_lutCp_SimNoData {
          }
          hist ppm_had_2d_etaPhi_tt_lutJep_DataNoSim {
          }
          hist ppm_had_2d_etaPhi_tt_lutJep_SimEqData {
          }
          hist ppm_had_2d_etaPhi_tt_lutJep_SimNeData {
          }
          hist ppm_had_2d_etaPhi_tt_lutJep_SimNoData {
          }
        }
        dir PPMBcidSim {
          output = L1Calo/Expert/PPM/Errors/Data_Simulation/PPMBcidSim
          hist ppm_2d_etaPhi_tt_satBcid_DataNoSim {
          }
          hist ppm_2d_etaPhi_tt_satBcid_NonZeroMatches {
          }
          hist ppm_2d_etaPhi_tt_satBcid_SimNoData {
          }
          hist ppm_2d_etaPhi_tt_satBcid_ZeroMatches {
          }
        }
      }
      dir Detail {
        output = L1Calo/Expert/PPM/Errors/Detail
        hist ppm_2d_Channel0DisabledChannel1DisabledCrate01 {
        }
        hist ppm_2d_Channel0DisabledChannel1DisabledCrate23 {
        }
        hist ppm_2d_Channel0DisabledChannel1DisabledCrate45 {
        }
        hist ppm_2d_Channel0DisabledChannel1DisabledCrate67 {
        }
        hist ppm_2d_Channel2DisabledChannel3DisabledCrate01 {
        }
        hist ppm_2d_Channel2DisabledChannel3DisabledCrate23 {
        }
        hist ppm_2d_Channel2DisabledChannel3DisabledCrate45 {
        }
        hist ppm_2d_Channel2DisabledChannel3DisabledCrate67 {
        }
        hist ppm_2d_EventMismatchBunchMismatchCrate01 {
        }
        hist ppm_2d_EventMismatchBunchMismatchCrate23 {
        }
        hist ppm_2d_EventMismatchBunchMismatchCrate45 {
        }
        hist ppm_2d_EventMismatchBunchMismatchCrate67 {
        }
        hist ppm_2d_FIFOCorruptPinParityCrate01 {
        }
        hist ppm_2d_FIFOCorruptPinParityCrate23 {
        }
        hist ppm_2d_FIFOCorruptPinParityCrate45 {
        }
        hist ppm_2d_FIFOCorruptPinParityCrate67 {
        }
        hist ppm_2d_MCMAbsentCrate01 {
        }
        hist ppm_2d_MCMAbsentCrate23 {
        }
        hist ppm_2d_MCMAbsentCrate45 {
        }
        hist ppm_2d_MCMAbsentCrate67 {
        }
        hist ppm_2d_TimeoutASICFullCrate01 {
        }
        hist ppm_2d_TimeoutASICFullCrate23 {
        }
        hist ppm_2d_TimeoutASICFullCrate45 {
        }
        hist ppm_2d_TimeoutASICFullCrate67 {
        }
      }
    }
    dir ADC {
      dir EtaPhiMaps {
        output = L1Calo/Expert/PPM/ADC/EtaPhiMaps
        hist ppm_em_2d_etaPhi_tt_adc_HitMap {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_adc_ProfileHitMap {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_adc_HitMap {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_adc_ProfileHitMap {
          display = SetPalette(1),LogZ
        }
      }
      dir Timeslices {
        output = L1Calo/Expert/PPM/ADC/Timeslices
        hist ppm_2d_tt_adc_BcidBits {
        }
        hist ppm_em_1d_tt_adc_TriggeredSlice {
        }
        hist ppm_em_1d_tt_adc_MaxTimeslice@gs {
          output = L1Calo/Legacy/.GlobalSummary/EM
          description = Original location L1Calo/Expert/PPM/ADC/Timeslices
        }
        hist ppm_em_1d_tt_adc_MaxTimeslice {
        }
        hist ppm_em_2d_etaPhi_tt_adc_MaxTimeslice {
          display = SetPalette(1)
        }
        hist ppm_had_1d_tt_adc_TriggeredSlice {
        }
        hist ppm_had_1d_tt_adc_MaxTimeslice@gs {
          output = L1Calo/Legacy/.GlobalSummary/HAD
          description = Original location L1Calo/Expert/PPM/ADC/Timeslices
        }
        hist ppm_had_1d_tt_adc_MaxTimeslice {
        }
        hist ppm_had_2d_etaPhi_tt_adc_MaxTimeslice {
          display = SetPalette(1)
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArEMBA {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArEMBC {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArEMECA {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArEMECC {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArFCAL1A {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArFCAL1C {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArOverlapA {
        }
        hist ppm_em_1d_tt_adc_SignalProfileLArOverlapC {
        }
        hist ppm_had_1d_tt_adc_SignalProfileLArFCAL23A {
        }
        hist ppm_had_1d_tt_adc_SignalProfileLArFCAL23C {
        }
        hist ppm_had_1d_tt_adc_SignalProfileLArHECA {
        }
        hist ppm_had_1d_tt_adc_SignalProfileLArHECC {
        }
        hist ppm_had_1d_tt_adc_SignalProfileTileEBA {
        }
        hist ppm_had_1d_tt_adc_SignalProfileTileEBC {
        }
        hist ppm_had_1d_tt_adc_SignalProfileTileLBA {
        }
        hist ppm_had_1d_tt_adc_SignalProfileTileLBC {
        }
      }
    }
    dir LUT-CP {
      dir EtaPhiMaps {
        output = L1Calo/Expert/PPM/LUT-CP/EtaPhiMaps
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold00 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold01 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold02 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold03 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold04 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold05 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold06 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold07 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold08 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold09 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold10 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold11 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold12 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutcp_Threshold13 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold00 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold01 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold02 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold03 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold04 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold05 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold06 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold07 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold08 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold09 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold10 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold11 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold12 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutcp_Threshold13 {
          display = SetPalette(1),LogZ
        }
      }
      dir Distributions {
        output = L1Calo/Expert/PPM/LUT-CP/Distributions
        hist ppm_em_1d_tt_lutcp_Et {
          display = LogX,LogY
        }
        hist ppm_em_1d_tt_lutcp_Eta {
        }
        hist ppm_em_1d_tt_lutcp_Phi {
        }
        hist ppm_had_1d_tt_lutcp_Et {
          display = LogX,LogY
        }
        hist ppm_had_1d_tt_lutcp_Eta {
        }
        hist ppm_had_1d_tt_lutcp_Phi {
        }
        hist ppm_1d_tt_lutcp_LutPerBCN {
        }
      }
    }
    dir LUT-JEP {
      dir EtaPhiMaps {
        output = L1Calo/Expert/PPM/LUT-JEP/EtaPhiMaps
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold00 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold01 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold02 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold03 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold04 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold05 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold06 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold07 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold08 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold09 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold10 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold11 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold12 {
          display = SetPalette(1),LogZ
        }
        hist ppm_em_2d_etaPhi_tt_lutjep_Threshold13 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold00 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold01 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold02 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold03 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold04 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold05 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold06 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold07 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold08 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold09 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold10 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold11 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold12 {
          display = SetPalette(1),LogZ
        }
        hist ppm_had_2d_etaPhi_tt_lutjep_Threshold13 {
          display = SetPalette(1),LogZ
        }
      }
      dir Distributions {
        output = L1Calo/Expert/PPM/LUT-JEP/Distributions
        hist ppm_em_1d_tt_lutjep_Et {
          display = LogX,LogY
        }
        hist ppm_em_1d_tt_lutjep_Eta {
        }
        hist ppm_em_1d_tt_lutjep_Phi {
        }
        hist ppm_had_1d_tt_lutjep_Et {
          display = LogX,LogY
        }
        hist ppm_had_1d_tt_lutjep_Eta {
        }
        hist ppm_had_1d_tt_lutjep_Phi {
        }
        hist ppm_1d_tt_lutjep_LutPerBCN@gs {
          output = L1Calo/Legacy/.GlobalSummary
          description = Original location L1Calo/Expert/PPM/LUT-JEP/Distributions
        }
        hist ppm_1d_tt_lutjep_LutPerBCN {
        }
      }
    }

    dir Stability {
      dir FineTime {
        hist ppm_em_1d_profile_adc_fineTime@gs {
          output = L1Calo/Legacy/.GlobalSummary/EM
          description = Original location L1Calo/Expert/PPM/Stability/FineTime
        }
        hist ppm_em_1d_profile_adc_fineTime {
          output = L1Calo/Expert/PPM/Stability/FineTime
        }
        hist ppm_em_2d_profile_etaPhi_adc_fineTime {
          output = L1Calo/Expert/PPM/Stability/FineTime
        }
        hist ppm_had_1d_profile_adc_fineTime@gs {
          output = L1Calo/Legacy/.GlobalSummary/HAD
          description = Original location L1Calo/Expert/PPM/Stability/FineTime
        }
        hist ppm_had_1d_profile_adc_fineTime {
          output = L1Calo/Expert/PPM/Stability/FineTime
        }
        hist ppm_had_2d_profile_etaPhi_adc_fineTime {
          output = L1Calo/Expert/PPM/Stability/FineTime
        }
        hist ppm_em_1d_profile_adc_LArEMBA_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMBC_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMECA_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMECC_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArFCAL1A_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArFCAL1C_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArOverlapA_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_em_1d_profile_adc_LArOverlapC_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_TileLBA_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_TileLBC_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_TileEBA_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_TileEBC_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_TileHECA_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_TileHECC_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_LArFCAL23A_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
        hist ppm_had_1d_profile_adc_LArFCAL23C_fineTimeVsLumi {
          output = L1Calo/Expert/PPM/Stability/FineTime/FineTime_Lumi
        }
      }
      dir Pedestal {
        hist ppm_em_1d_profile_adc_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_em_1d_profile_adc_pedestalVsLumi@gs {
          output = L1Calo/Legacy/.GlobalSummary/EM
          description = Original location L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_em_1d_profile_adc_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_em_pedestal_BCN_lumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_em_2d_profile_etaPhi_adc_pedestal {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_had_1d_profile_adc_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_had_1d_profile_adc_pedestalVsLumi@gs {
          output = L1Calo/Legacy/.GlobalSummary/HAD
          description = Original location L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_had_1d_profile_adc_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_had_pedestal_BCN_lumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_had_2d_profile_etaPhi_adc_pedestal {
          output = L1Calo/Expert/PPM/Stability/Pedestal
        }
        hist ppm_em_1d_profile_adc_LArEMBA_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArEMBC_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArEMECA_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArEMECC_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArFCAL1A_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArFCAL1C_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArOverlapA_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArOverlapC_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_TileLBA_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_TileLBC_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_TileEBA_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_TileEBC_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_LArHECA_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_LArHECC_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_LArFCAL23A_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_had_1d_profile_adc_LArFCAL23C_pedestalVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_BCN
        }
        hist ppm_em_1d_profile_adc_LArEMBA_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMBC_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMECA_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMECC_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArFCAL1A_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArFCAL1C_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArOverlapA_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_1d_profile_adc_LArOverlapC_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_TileLBA_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_TileLBC_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_TileEBA_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_TileEBC_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_LArHECA_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_LArHECC_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_LArFCAL23A_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_had_1d_profile_adc_LArFCAL23C_pedestalVsLumi {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Lumi
        }
        hist ppm_em_2d_profile_adc_LArEMBA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArEMBA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArEMBC_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArEMECA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArEMECC_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArFCAL1A_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArFCAL1C_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArOverlapA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_em_2d_profile_adc_LArOverlapC_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_LArFCAL23A_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_LArFCAL23C_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_LArHECA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_LArHECC_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_TileEBA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_TileEBC_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_TileLBA_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
        hist ppm_had_2d_profile_adc_TileLBC_pedestalVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/Pedestal/Pedestal_Summary
        }
      }
      dir PedestalCorrection {
        hist ppm_em_1d_profile_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_em_1d_profile_pedestalCorrectionVsLumi@gs {
          output = L1Calo/Legacy/.GlobalSummary/EM
          description = Original location L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_em_1d_profile_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_em_pedestalCorrection_BCN_lumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_em_2d_profile_etaPhi_pedestalCorrection {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_had_1d_profile_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_had_1d_profile_pedestalCorrectionVsLumi@gs {
          output = L1Calo/Legacy/.GlobalSummary/HAD
          description = Original location L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_had_1d_profile_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_had_pedestalCorrection_BCN_lumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_had_2d_profile_etaPhi_pedestalCorrection {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection
        }
        hist ppm_em_1d_profile_LArEMBA_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArEMBC_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArEMECA_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArEMECC_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArFCAL1A_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArFCAL1C_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArOverlapA_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArOverlapC_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_TileLBA_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_TileLBC_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_TileEBA_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_TileEBC_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_LArHECA_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_LArHECC_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_LArFCAL23A_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_had_1d_profile_LArFCAL23C_pedestalCorrectionVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_BCN
        }
        hist ppm_em_1d_profile_LArEMBA_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArEMBC_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArEMECA_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArEMECC_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArFCAL1A_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArFCAL1C_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArOverlapA_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_1d_profile_LArOverlapC_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_TileLBA_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_TileLBC_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_TileEBA_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_TileEBC_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_LArHECA_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_LArHECC_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_LArFCAL23A_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_had_1d_profile_LArFCAL23C_pedestalCorrectionVsLumi {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Lumi
        }
        hist ppm_em_2d_profile_LArEMBA_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArEMBC_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArEMECA_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArEMECC_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArFCAL1A_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArFCAL1C_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArOverlapA_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_em_2d_profile_LArOverlapC_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_LArFCAL23A_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_LArFCAL23C_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_LArHECA_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_LArHECC_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_TileEBA_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_TileEBC_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_TileLBA_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
        hist ppm_had_2d_profile_TileLBC_pedestalCorrectionVsLumiVsBCN {
          output = L1Calo/Expert/PPM/Stability/PedestalCorrection/PedestalCorrection_Summary
        }
      }
      dir EtCorrelation {
        hist ppm_em_1d_profile_adc_etCorrelation@gs {
          output = L1Calo/Legacy/.GlobalSummary/EM
          description = Original location L1Calo/Expert/PPM/Stability/EtCorrelation
        }
        hist ppm_em_1d_profile_adc_etCorrelation {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation
        }
        hist ppm_em_2d_profile_etaPhi_adc_etCorrelation {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation
        }
        hist ppm_had_1d_profile_adc_etCorrelation@gs {
          output = L1Calo/Legacy/.GlobalSummary/HAD
          description = Original location L1Calo/Expert/PPM/Stability/EtCorrelation
        }
        hist ppm_had_1d_profile_adc_etCorrelation {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation
        }
        hist ppm_had_2d_profile_etaPhi_adc_etCorrelation {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation
        }
        hist ppm_em_1d_profile_adc_LArEMBA_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMBC_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMECA_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArEMECC_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArFCAL1A_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArFCAL1C_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArOverlapA_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_em_1d_profile_adc_LArOverlapC_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_TileLBA_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_TileLBC_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_TileEBA_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_TileEBC_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_TileHECA_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_TileHECC_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_LArFCAL23A_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
        hist ppm_had_1d_profile_adc_LArFCAL23C_etCorrelationVsLumi {
          output = L1Calo/Expert/PPM/Stability/EtCorrelation/EtCorrelation_Lumi
        }
      }
    }
  }
}

#############
# Algorithms
#############

algorithm L1Calo_GatherData {
  libname = libdqm_algorithms.so
  name = GatherData
  reference = stream=physics_Main:CentrallyManagedReferences_TriggerMain;CentrallyManagedReferences_Trigger
}

algorithm L1Calo_IsEmpty {
  libname = libdqm_algorithms.so
  name = Bins_GreaterThan_Threshold
  BinThreshold = 0
  thresholds = L1Calo_EmptyHistThreshold
}



#############
# Thresholds
#############

thresholds L1Calo_EmptyHistThreshold {
  limits NBins {
    warning = 0
    error = 1
  }
}

#######
# BELOW IS THE AUTO-GENERATED HAN CONFIG THAT WILL EVENTUALLY REPLACE ALL OF THE ABOVE FOR L1CALO
#######

#inputs
dir L1Calo {
  dir Expert {
    dir ByteStreamDecoders {
     output = L1Calo/Expert/ByteStreamDecoders
      hist h_efex_errors_vs_lbn {
        algorithm = Histogram_Empty
        description = Should be empty. Please report any errors to eFEX software experts. - <a href="https://codimd.web.cern.ch/s/678H65Tk9#ByteStreamDecodersh_efex_errors_vs_lbn">Help</a>
      }
    }
    dir Sim {
     output = L1Calo/Expert/Sim
      dir detail {
       algorithm = GatherData
       output = L1Calo/Expert/Sim/detail
        hist h_simSummary {
          display = SetPalette(87),Draw=COLZTEXT
          description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#Simdetailh_simSummary">Help</a>
        }
        hist h_gJ_mismatches_posLbnMap {
          display = SetPalette(87)
          description = Location of mismatched gJ TOBs. Use this plot to identify any localized gFEX issues. N.B. this plot is only created if there are mismatches. - <a href="https://codimd.web.cern.ch/s/678H65Tk9#Simdetailh_gJ_mismatches_posLbnMap">Help</a>
        }
        hist h_gLJ_mismatches_posLbnMap {
          display = SetPalette(87)
          description = Location of mismatched gLJ TOBs. Use this plot to identify any localized gFEX issues. N.B. this plot is only created if there are mismatches. - <a href="https://codimd.web.cern.ch/s/678H65Tk9#Simdetailh_gLJ_mismatches_posLbnMap">Help</a>
        }
      }
      hist h_mismatched_SimReadyRate {
        algorithm = L1CaloMismatchRate
        description = Mismatch rate, per LB (x-axis), per signature (y-axis) for signatures that are deemed simulation-ready - should not be high rate (see DQ algo) - <a href="https://codimd.web.cern.ch/s/678H65Tk9#Simh_mismatched_SimReadyRate">Help</a>
        display = SetPalette(55)
      }
      hist h_eEM_mismatches_posLbnMap {
        algorithm = Histogram_Empty
        display = SetPalette(87)
        description = Location of mismatched eEM TOBs in simulation-ready events. Use this plot to identify any localized eFEX issues. N.B. this plot is only created if there are mismatches. - <a href="https://codimd.web.cern.ch/s/678H65Tk9#Simh_eEM_mismatches_posLbnMap">Help</a>
      }
      hist h_eTAU_mismatches_posLbnMap {
        algorithm = Histogram_Empty
        display = SetPalette(87)
        description = Location of mismatched eTAU TOBs in simulation-ready events. Use this plot to identify any localized eFEX issues. N.B. this plot is only created if there are mismatches. - <a href="https://codimd.web.cern.ch/s/678H65Tk9#Simh_eTAU_mismatches_posLbnMap">Help</a>
      }
    }
    dir Outputs {
      dir eEM {
       output = L1Calo/Expert/Outputs/eEM
        hist h_L1_eEMRoI_et_posLbnMap {
          description = Check for horizontal anomalies (hotspot/coldspot) or vertical anomalies (whole-system hot/cold) - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseEMh_L1_eEMRoI_et_posLbnMap">Help</a>
          algorithm = GatherData
        }
        hist h_L1_eEMRoI_LowPtCut_EtaPhiMap {
          display = SetPalette(55)
          description = Inspect for hot/cold spots - check help for list of known hot/coldspots, then check <a href='./detail/h_L1_eEMRoI_LowPtCut_posVsLBN'>detail timeseries</a>. Warning if more than 1 deadspot, but could just be low stats - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseEMh_L1_eEMRoI_LowPtCut_EtaPhiMap">Help</a>
          algorithm = Efex_eEM_etaThiMapFilled
        }
        dir detail {
         algorithm = GatherData
         output = L1Calo/Expert/Outputs/eEM/detail
          hist h_L1_eEMRoI_LowPtCut_posVsLBN {
            description = Timeseries of TOB counts at each location ... y-axis relates to x and y bin numbers from <a href='../h_L1_eEMRoI_LowPtCut_EtaPhiMap'>eta-phi map</a>. Use Projection X1 for 1D plot - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseEMdetailh_L1_eEMRoI_LowPtCut_posVsLBN">Help</a>
          }
          hist h_L1_eEMRoI_HiPtCut_posVsLBN {
            description = Timeseries of TOB counts at each location ... y-axis relates to x and y bin numbers from <a href='../h_L1_eEMRoI_HiPtCut_EtaPhiMap'>eta-phi map</a>. Use Projection X1 for 1D plot - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseEMdetailh_L1_eEMRoI_HiPtCut_posVsLBN">Help</a>
          }
        }
        hist h_L1_eEMRoI_HiPtCut_EtaPhiMap {
          display = SetPalette(55)
          description = Inspect for hot/cold spots - check help for list of known hot/coldspots, then check <a href='./detail/h_L1_eEMRoI_HiPtCut_posVsLBN'>detail timeseries</a>. Warning if more than 1 deadspot, but could just be low stats - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseEMh_L1_eEMRoI_HiPtCut_EtaPhiMap">Help</a>
          algorithm = Efex_eEM_etaThiMapFilled
        }
      }
      dir eTAU {
       output = L1Calo/Expert/Outputs/eTAU
        hist h_L1_eTauRoI_et_posLbnMap {
          description = Check for horizontal anomalies (hotspot/coldspot) or vertical anomalies (whole-system hot/cold) - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseTAUh_L1_eTauRoI_et_posLbnMap">Help</a>
          algorithm = GatherData
        }
        hist h_L1_eTauRoI_LowPtCut_EtaPhiMap {
          display = SetPalette(55)
          description = Inspect for hot/cold spots - check help for list of known hot/coldspots, then check <a href='./detail/h_L1_eTauRoI_LowPtCut_posVsLBN'>detail timeseries</a>. Warning if any deadspots/empty, but could just be low stats - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseTAUh_L1_eTauRoI_LowPtCut_EtaPhiMap">Help</a>
          algorithm = Efex_eTAU_etaThiMapFilled
        }
        dir detail {
         algorithm = GatherData
         output = L1Calo/Expert/Outputs/eTAU/detail
          hist h_L1_eTauRoI_LowPtCut_posVsLBN {
            description = Timeseries of TOB counts at each location ... y-axis relates to x and y bin numbers from <a href='../h_L1_eTauRoI_LowPtCut_EtaPhiMap'>eta-phi map</a>. Use Projection X1 for 1D plot - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseTAUdetailh_L1_eTauRoI_LowPtCut_posVsLBN">Help</a>
          }
          hist h_L1_eTauRoI_HiPtCut_posVsLBN {
            description = Timeseries of TOB counts at each location ... y-axis relates to x and y bin numbers from <a href='../h_L1_eTauRoI_HiPtCut_EtaPhiMap'>eta-phi map</a>. Use Projection X1 for 1D plot - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseTAUdetailh_L1_eTauRoI_HiPtCut_posVsLBN">Help</a>
          }
        }
        hist h_L1_eTauRoI_HiPtCut_EtaPhiMap {
          display = SetPalette(55)
          description = Inspect for hot/cold spots - check help for list of known hot/coldspots, then check <a href='./detail/h_L1_eTauRoI_HiPtCut_posVsLBN'>detail timeseries</a>. Warning if any deadspots/empty, but could just be low stats - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputseTAUh_L1_eTauRoI_HiPtCut_EtaPhiMap">Help</a>
          algorithm = Efex_eTAU_etaThiMapFilled
        }
      }
      dir jJ {
       output = L1Calo/Expert/Outputs/jJ
        hist h_jJ_EtaPhiMap {
          algorithm = Jfex_etaPhiMapFilled
          description = Bins with negative number of entries (in the FCAL) signify that no TOBs can be produced at that position. Inspect for hot/cold spots - check help for list of known hot/coldspots - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsjJh_jJ_EtaPhiMap">Help</a>
          display = SetPalette(55),Draw=COL1Z
        }
      }
      dir jTau {
       output = L1Calo/Expert/Outputs/jTau
        hist h_jTau_EtaPhiMap {
          algorithm = Jfex_etaPhiMapFilled_TAU
          description = Inspect for hot/cold spots - check help for list of known hot/coldspots - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsjTauh_jTau_EtaPhiMap">Help</a>
          display = SetPalette(87)
        }
      }
      dir jEM {
       output = L1Calo/Expert/Outputs/jEM
        hist h_jEM_EtaPhiMap {
          algorithm = Jfex_etaPhiMapFilled_EM
          description = Bins with negative number of entries (in the FCAL and central region) signify that no TOBs can be produced at that position. Inspect for hot/cold spots, note that there are no jEM TOBs for |eta| < 2.3 - check help for list of known hot/coldspots - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsjEMh_jEM_EtaPhiMap">Help</a>
          display = SetPalette(87),Draw=COL1Z
        }
      }
      dir gLJ {
       output = L1Calo/Expert/Outputs/gLJ
        hist h_etaphiMap_L1_gFexLRJetRoI__CutPt0 {
          algorithm = Gfex_etaPhiMapFilled_gLJ
          description = Inspect for hot/cold spots - check <a href='./detail/h_L1_gFexLRJetRoI__CutPt0_posVsLBN'>detail timeseries</a> - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgLJh_etaphiMap_L1_gFexLRJetRoI__CutPt0">Help</a>
          display = SetPalette(55),Draw=COL1Z
        }
        dir detail {
         algorithm = GatherData
         output = L1Calo/Expert/Outputs/gLJ/detail
          hist h_L1_gFexLRJetRoI__CutPt0_LBN_pos {
            description = x and y correspond to axis bin numbers on <a href='h_etaphiMap_L1_gFexLRJetRoI__CutPt0</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgLJdetailh_L1_gFexLRJetRoI__CutPt0_LBN_pos">Help</a>
          }
          hist h_L1_gFexLRJetRoI__CutPt30_LBN_pos {
            description = x and y correspond to axis bin numbers on <a href='h_etaphiMap_L1_gFexLRJetRoI__CutPt30</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgLJdetailh_L1_gFexLRJetRoI__CutPt30_LBN_pos">Help</a>
          }
          hist h_L1_gFexLRJetRoI__CutPt400_LBN_pos {
            description = x and y correspond to axis bin numbers on <a href='h_etaphiMap_L1_gFexLRJetRoI__CutPt400</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgLJdetailh_L1_gFexLRJetRoI__CutPt400_LBN_pos">Help</a>
          }
        }
        hist h_etaphiMap_L1_gFexLRJetRoI__CutPt30 {
          algorithm = Gfex_etaPhiMapFilled_gLJ
          description = Inspect for hot/cold spots - check <a href='./detail/h_L1_gFexLRJetRoI__CutPt30_posVsLBN'>detail timeseries</a> - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgLJh_etaphiMap_L1_gFexLRJetRoI__CutPt30">Help</a>
          display = SetPalette(55),Draw=COL1Z
        }
        hist h_etaphiMap_L1_gFexLRJetRoI__CutPt400 {
          algorithm = Gfex_etaPhiMapFilled_gLJ
          description = Inspect for hot/cold spots - check <a href='./detail/h_L1_gFexLRJetRoI__CutPt400_posVsLBN'>detail timeseries</a> - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgLJh_etaphiMap_L1_gFexLRJetRoI__CutPt400">Help</a>
          display = SetPalette(55),Draw=COL1Z
        }
      }
      dir gJ {
       output = L1Calo/Expert/Outputs/gJ
        hist h_etaphiMap_L1_gFexSRJetRoI__CutPt0 {
          algorithm = Gfex_etaPhiMapFilled_gJ
          description = Inspect for hot/cold spots - check <a href='./detail/h_L1_gFexSRJetRoI__CutPt0_posVsLBN'>detail timeseries</a> - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgJh_etaphiMap_L1_gFexSRJetRoI__CutPt0">Help</a>
          display = SetPalette(55),Draw=COL1Z
        }
        dir detail {
         algorithm = GatherData
         output = L1Calo/Expert/Outputs/gJ/detail
          hist h_L1_gFexSRJetRoI__CutPt0_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='h_etaphiMap_L1_gFexSRJetRoI__CutPt0</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgJdetailh_L1_gFexSRJetRoI__CutPt0_posVsLBN">Help</a>
          }
          hist h_L1_gFexSRJetRoI__CutPt100_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='h_etaphiMap_L1_gFexSRJetRoI__CutPt100</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgJdetailh_L1_gFexSRJetRoI__CutPt100_posVsLBN">Help</a>
          }
        }
        hist h_etaphiMap_L1_gFexSRJetRoI__CutPt100 {
          algorithm = Gfex_etaPhiMapFilled_gJ
          description = Inspect for hot/cold spots - check <a href='./detail/h_L1_gFexSRJetRoI__CutPt100_posVsLBN'>detail timeseries</a> - <a href="https://codimd.web.cern.ch/s/678H65Tk9#OutputsgJh_etaphiMap_L1_gFexSRJetRoI__CutPt100">Help</a>
          display = SetPalette(55),Draw=COL1Z
        }
      }
    }
    dir Efficiency {
      dir gFEX {
        dir MuonReferenceTrigger {
         output = L1Calo/Expert/Efficiency/gFEX/MuonReferenceTrigger
          hist SRpt_L1_gJ20p0ETA25 {
            algorithm = JetEfficiency_L1_gJ20p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gJ20p0ETA25">Help</a>
          }
          hist LRpt_L1_gJ20p0ETA25 {
            algorithm = JetEfficiency_L1_gJ20p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gJ20p0ETA25">Help</a>
          }
          hist SRpt_L1_gJ50p0ETA25 {
            algorithm = JetEfficiency_L1_gJ50p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gJ50p0ETA25">Help</a>
          }
          hist LRpt_L1_gJ50p0ETA25 {
            algorithm = JetEfficiency_L1_gJ50p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gJ50p0ETA25">Help</a>
          }
          hist SRpt_L1_gJ100p0ETA25 {
            algorithm = JetEfficiency_L1_gJ100p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gJ100p0ETA25">Help</a>
          }
          hist LRpt_L1_gJ100p0ETA25 {
            algorithm = JetEfficiency_L1_gJ100p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gJ100p0ETA25">Help</a>
          }
          hist SRpt_L1_gJ400p0ETA25 {
            algorithm = JetEfficiency_L1_gJ400p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gJ400p0ETA25">Help</a>
          }
          hist LRpt_L1_gJ400p0ETA25 {
            algorithm = JetEfficiency_L1_gJ400p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gJ400p0ETA25">Help</a>
          }
          hist SRpt_L1_gLJ80p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ80p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gLJ80p0ETA25">Help</a>
          }
          hist LRpt_L1_gLJ80p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ80p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gLJ80p0ETA25">Help</a>
          }
          hist SRpt_L1_gLJ100p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ100p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gLJ100p0ETA25">Help</a>
          }
          hist LRpt_L1_gLJ100p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ100p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gLJ100p0ETA25">Help</a>
          }
          hist SRpt_L1_gLJ140p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ140p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gLJ140p0ETA25">Help</a>
          }
          hist LRpt_L1_gLJ140p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ140p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gLJ140p0ETA25">Help</a>
          }
          hist SRpt_L1_gLJ160p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ160p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerSRpt_L1_gLJ160p0ETA25">Help</a>
          }
          hist LRpt_L1_gLJ160p0ETA25 {
            algorithm = JetEfficiency_L1_gLJ160p0ETA25
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencygFEXMuonReferenceTriggerLRpt_L1_gLJ160p0ETA25">Help</a>
          }
        }
      }
      dir jFEX {
        dir MuonReferenceTrigger {
         output = L1Calo/Expert/Efficiency/jFEX/MuonReferenceTrigger
          hist SRpt_L1_jJ30 {
            algorithm = JetEfficiency_L1_jJ30
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ30">Help</a>
          }
          hist LRpt_L1_jJ30 {
            algorithm = JetEfficiency_L1_jJ30
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ30">Help</a>
          }
          hist SRpt_L1_jJ40 {
            algorithm = JetEfficiency_L1_jJ40
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ40">Help</a>
          }
          hist LRpt_L1_jJ40 {
            algorithm = JetEfficiency_L1_jJ40
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ40">Help</a>
          }
          hist SRpt_L1_jJ50 {
            algorithm = JetEfficiency_L1_jJ50
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ50">Help</a>
          }
          hist LRpt_L1_jJ50 {
            algorithm = JetEfficiency_L1_jJ50
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ50">Help</a>
          }
          hist SRpt_L1_jJ60 {
            algorithm = JetEfficiency_L1_jJ60
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ60">Help</a>
          }
          hist LRpt_L1_jJ60 {
            algorithm = JetEfficiency_L1_jJ60
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ60">Help</a>
          }
          hist SRpt_L1_jJ80 {
            algorithm = JetEfficiency_L1_jJ80
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ80">Help</a>
          }
          hist LRpt_L1_jJ80 {
            algorithm = JetEfficiency_L1_jJ80
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ80">Help</a>
          }
          hist SRpt_L1_jJ90 {
            algorithm = JetEfficiency_L1_jJ90
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ90">Help</a>
          }
          hist LRpt_L1_jJ90 {
            algorithm = JetEfficiency_L1_jJ90
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ90">Help</a>
          }
          hist SRpt_L1_jJ125 {
            algorithm = JetEfficiency_L1_jJ125
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ125">Help</a>
          }
          hist LRpt_L1_jJ125 {
            algorithm = JetEfficiency_L1_jJ125
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ125">Help</a>
          }
          hist SRpt_L1_jJ140 {
            algorithm = JetEfficiency_L1_jJ140
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ140">Help</a>
          }
          hist LRpt_L1_jJ140 {
            algorithm = JetEfficiency_L1_jJ140
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ140">Help</a>
          }
          hist SRpt_L1_jJ160 {
            algorithm = JetEfficiency_L1_jJ160
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ160">Help</a>
          }
          hist LRpt_L1_jJ160 {
            algorithm = JetEfficiency_L1_jJ160
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ160">Help</a>
          }
          hist SRpt_L1_jJ180 {
            algorithm = JetEfficiency_L1_jJ180
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_jJ180">Help</a>
          }
          hist LRpt_L1_jJ180 {
            algorithm = JetEfficiency_L1_jJ180
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_jJ180">Help</a>
          }
          hist SRpt_L1_SC111-CjJ40 {
            algorithm = JetEfficiency_L1_SC111-CjJ40
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerSRpt_L1_SC111-CjJ40">Help</a>
          }
          hist LRpt_L1_SC111-CjJ40 {
            algorithm = JetEfficiency_L1_SC111-CjJ40
            description = <a href="https://codimd.web.cern.ch/s/678H65Tk9#EfficiencyjFEXMuonReferenceTriggerLRpt_L1_SC111-CjJ40">Help</a>
          }
        }
      }
    }
    dir Inputs {
      dir eFEX {
       output = L1Calo/Expert/Inputs/eFEX
        dir detail {
         algorithm = GatherData
         output = L1Calo/Expert/Inputs/eFEX/detail
          hist h_summary {
            description = TowerID format: '[E]EPPMMF', where E=eta index, P=phi index,M=module,F=fpga - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXdetailh_summary">Help</a>
          }
          hist h_dataTowers_ecal_hot_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='../h_dataTowers_ecal_hot_EtaPhiMap'/>eta-phi plot</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXdetailh_dataTowers_ecal_hot_posVsLBN">Help</a>
          }
          hist h_dataTowers_ecal_cold_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='../h_dataTowers_ecal_cold_EtaPhiMap'/>eta-phi plot</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXdetailh_dataTowers_ecal_cold_posVsLBN">Help</a>
          }
          hist h_dataTowers_hcal_hot_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='../h_dataTowers_hcal_hot_EtaPhiMap'/>eta-phi plot</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXdetailh_dataTowers_hcal_hot_posVsLBN">Help</a>
          }
          hist h_dataTowers_hcal_cold_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='../h_dataTowers_hcal_cold_EtaPhiMap'/>eta-phi plot</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXdetailh_dataTowers_hcal_cold_posVsLBN">Help</a>
          }
        }
        hist h_errors {
          algorithm = Histogram_Empty
          description = Locations of any non-zero em or hadronic status flags. Check <a href='./detail/h_summary'>detail/h_summary</a> for more detail if there are entries - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXh_errors">Help</a>
        }
        hist h_dataTowers_ecal_hot_EtaPhiMap {
          algorithm = Efex_ecal_hot_etaThiMapFilled
          description = Check <a href='./detail/h_dataTowers_ecal_hot_posVsLBN'>detail plot</a> to get timeseries for each location - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXh_dataTowers_ecal_hot_EtaPhiMap">Help</a>
        }
        hist h_dataTowers_ecal_cold_EtaPhiMap {
          description = Check <a href='./detail/h_dataTowers_ecal_cold_posVsLBN'>detail plot</a> to get timeseries for each location - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXh_dataTowers_ecal_cold_EtaPhiMap">Help</a>
          algorithm = GatherData
        }
        hist h_dataTowers_hcal_hot_EtaPhiMap {
          algorithm = Efex_hcal_hot_etaThiMapFilled
          description = Check <a href='./detail/h_dataTowers_hcal_hot_posVsLBN'>detail plot</a> to get timeseries for each location - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXh_dataTowers_hcal_hot_EtaPhiMap">Help</a>
        }
        hist h_dataTowers_hcal_cold_EtaPhiMap {
          description = Check <a href='./detail/h_dataTowers_hcal_cold_posVsLBN'>detail plot</a> to get timeseries for each location - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputseFEXh_dataTowers_hcal_cold_EtaPhiMap">Help</a>
          algorithm = GatherData
        }
      }
      dir gFEX {
       output = L1Calo/Expert/Inputs/gFEX
        dir detail {
         algorithm = GatherData
         output = L1Calo/Expert/Inputs/gFEX/detail
          hist h_LBN_vs_nGfexTowers {
            description = The y value gives the number of gTowers with Et > 10 GeV; the z value gives the number of events - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputsgFEXdetailh_LBN_vs_nGfexTowers">Help</a>
          }
          hist h_HotTowers_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='h_HotTower_EtaPhiMap'/>eta-phi plot</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputsgFEXdetailh_HotTowers_posVsLBN">Help</a>
          }
          hist h_ColdTowers_posVsLBN {
            description = x and y correspond to axis bin numbers on <a href='h_ColdTower_EtaPhiMap'/>eta-phi plot</a>. Use this plot to check if hotspot/coldspots affected whole or part of run: turn on Projection X1 to see 1D hist of individual locations - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputsgFEXdetailh_ColdTowers_posVsLBN">Help</a>
          }
        }
        hist h_HotTower_EtaPhiMap {
          description = Look for hot spots with unusual high statistics; Check <a href='./detail/h_HotTowers_posVsLBN'>detail plot</a> to get timeseries for each location - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputsgFEXh_HotTower_EtaPhiMap">Help</a>
          display = SetPalette(55),Draw=COL1Z
          algorithm = GatherData
        }
        hist h_ColdTower_EtaPhiMap {
          description = Look for cold spots with unusual high statistics; Check <a href='./detail/h_ColdTowers_posVsLBN'>detail plot</a> to get timeseries for each location  - <a href="https://codimd.web.cern.ch/s/678H65Tk9#InputsgFEXh_ColdTower_EtaPhiMap">Help</a>
          display = SetPalette(55),Draw=COL1Z
          algorithm = GatherData
        }
      }
    }
  }
}
#outputs
output top_level {
  output L1Calo {
    output Expert {
      output ByteStreamDecoders {
      }
      output Sim {
        output detail {
        }
      }
      output Outputs {
        output eEM {
          output detail {
          }
        }
        output eTAU {
          output detail {
          }
        }
        output jJ {
        }
        output jTau {
        }
        output jEM {
        }
        output gLJ {
          output detail {
          }
        }
        output gJ {
          output detail {
          }
        }
      }
      output Efficiency {
        output gFEX {
          output MuonReferenceTrigger {
          }
        }
        output jFEX {
          output MuonReferenceTrigger {
          }
        }
      }
      output Inputs {
        output eFEX {
          output detail {
          }
        }
        output gFEX {
          output detail {
          }
        }
      }
    }
  }
}

#algorithms
algorithm AnyNonZeroBinIsError {
  # Use this algo if want error on any non-zero bin content
  libname = libdqm_summaries.so
  name = Bins_NotEqual_Threshold
  BinThreshold = 0.
  thresholds = th_AnyBinIsError
}

algorithm L1CaloMismatchRate {
  libname = libdqm_summaries.so
  name = Bins_GreaterThan_Threshold
  BinThreshold = 0.9
  thresholds = L1CaloMismatchRateThresholds
  }
algorithm Efex_eEM_etaThiMapFilled {
  libname = libdqm_summaries.so
  name = Bins_Equal_Threshold
  BinThreshold = 0.
  thresholds = Efex_eEM_etaThiMapFilledThresholds
  }
algorithm Efex_eTAU_etaThiMapFilled {
  libname = libdqm_summaries.so
  name = Bins_Equal_Threshold
  BinThreshold = 0.
  thresholds = Efex_eTAU_etaThiMapFilledThresholds
  }
algorithm Jfex_etaPhiMapFilled {
  libname = libdqm_summaries.so
  name = Bins_LessThanAbs_Threshold
  BinThreshold = 1
  thresholds = Jfex_etaPhiMapFilledThresholds
  }
algorithm Jfex_etaPhiMapFilled_EM {
  libname = libdqm_summaries.so
  name = Bins_LessThanAbs_Threshold
  BinThreshold = 1
  thresholds = Jfex_etaPhiMapFilled_EMThresholds
  }
algorithm Jfex_etaPhiMapFilled_TAU {
  libname = libdqm_summaries.so
  name = Bins_LessThanAbs_Threshold
  BinThreshold = 1
  thresholds = Jfex_etaPhiMapFilled_TAUThresholds
  }
algorithm Gfex_etaPhiMapFilled_gJ {
  libname = libdqm_summaries.so
  name = Bins_Equal_Threshold
  BinThreshold = 0
  thresholds = Gfex_etaPhiMapFilled_gJThresholds
  }
algorithm Gfex_etaPhiMapFilled_gLJ {
  libname = libdqm_summaries.so
  name = Bins_Equal_Threshold
  BinThreshold = 0
  thresholds = Gfex_etaPhiMapFilled_gLJThresholds
  }
algorithm JetEfficiency_L1_gJ20p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 187500.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gJ20p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gJ50p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 450000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gJ50p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gJ100p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 1800000
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gJ100p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gJ400p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 1800000
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gJ400p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gLJ80p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 500000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gLJ80p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gLJ100p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 600000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gLJ100p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gLJ140p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 787500.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gLJ140p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_gLJ160p0ETA25 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 650000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_gLJ160p0ETA25Thresholds
  }
algorithm JetEfficiency_L1_jJ30 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 212500.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ30Thresholds
  }
algorithm JetEfficiency_L1_jJ40 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 225000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ40Thresholds
  }
algorithm JetEfficiency_L1_jJ50 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 250000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ50Thresholds
  }
algorithm JetEfficiency_L1_jJ60 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 325000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ60Thresholds
  }
algorithm JetEfficiency_L1_jJ80 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 387500.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ80Thresholds
  }
algorithm JetEfficiency_L1_jJ90 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 462500.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ90Thresholds
  }
algorithm JetEfficiency_L1_jJ125 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 575000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ125Thresholds
  }
algorithm JetEfficiency_L1_jJ140 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 562500.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ140Thresholds
  }
algorithm JetEfficiency_L1_jJ160 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 650000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ160Thresholds
  }
algorithm JetEfficiency_L1_jJ180 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 800000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_jJ180Thresholds
  }
algorithm JetEfficiency_L1_SC111-CjJ40 {
  libname = libdqm_algorithms.so
  name = Simple_fermi_Fit_TEff
  xmax = 750000.0
  ImproveFit = 1
  thresholds = JetEfficiency_L1_SC111-CjJ40Thresholds
  }
algorithm Efex_ecal_hot_etaThiMapFilled {
  libname = libdqm_summaries.so
  name = Bins_Equal_Threshold
  BinThreshold = 0.
  thresholds = Efex_eTAU_etaThiMapFilledThresholds
  }
algorithm Efex_hcal_hot_etaThiMapFilled {
  libname = libdqm_summaries.so
  name = Bins_Equal_Threshold
  BinThreshold = 0.
  thresholds = Efex_hcal_hot_etaThiMapFilledThresholds
  }

#thresholds
thresholds th_AnyBinIsError {
    limits NBins {
      warning = 0
      error = 1
    }
}

thresholds L1CaloMismatchRateThresholds {
  limits NBins {
    warning = 0
    error = 10
  }
}
thresholds Efex_eEM_etaThiMapFilledThresholds {
  limits NBins {
    warning = 1
    error = 3200
  }
}
thresholds Efex_eTAU_etaThiMapFilledThresholds {
  limits NBins {
    warning = 0
    error = 3200
  }
}
thresholds Jfex_etaPhiMapFilledThresholds {
  limits NBins {
    warning = 0
    error = 3788
  }
}
thresholds Jfex_etaPhiMapFilled_EMThresholds {
  limits NBins {
    warning = 0
    error = 844
  }
}
thresholds Jfex_etaPhiMapFilled_TAUThresholds {
  limits NBins {
    warning = 0
    error = 384
  }
}
thresholds Gfex_etaPhiMapFilled_gJThresholds {
  limits NBins {
    warning = 0
    error = 1312
  }
}
thresholds Gfex_etaPhiMapFilled_gLJThresholds {
  limits NBins {
    warning = 0
    error = 800
  }
}
thresholds JetEfficiency_L1_gJ20p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 55000.0
    error = 75000.0
  }
}
thresholds JetEfficiency_L1_gJ50p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 110000.0
    error = 180000.0
  }
}
thresholds JetEfficiency_L1_gJ100p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 195000.0
    error = 3000000.0
  }
}
thresholds JetEfficiency_L1_gJ400p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 620000.0
    error = 900000.0
  }
}
thresholds JetEfficiency_L1_gLJ80p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 125000.0
    error = 200000.0
  }
}
thresholds JetEfficiency_L1_gLJ100p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 150000.0
    error = 240000.0
  }
}
thresholds JetEfficiency_L1_gLJ140p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 210000.0
    error = 315000.0
  }
}
thresholds JetEfficiency_L1_gLJ160p0ETA25Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 240000.0
    error = 260000.0
  }
}
thresholds JetEfficiency_L1_jJ30Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 50000.0
    error = 85000.0
  }
}
thresholds JetEfficiency_L1_jJ40Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 55000.0
    error = 90000.0
  }
}
thresholds JetEfficiency_L1_jJ50Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 60000.0
    error = 100000.0
  }
}
thresholds JetEfficiency_L1_jJ60Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 90000.0
    error = 130000.0
  }
}
thresholds JetEfficiency_L1_jJ80Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 90000.0
    error = 155000.0
  }
}
thresholds JetEfficiency_L1_jJ90Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 110000.0
    error = 185000.0
  }
}
thresholds JetEfficiency_L1_jJ125Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 145000.0
    error = 230000.0
  }
}
thresholds JetEfficiency_L1_jJ140Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 160000.0
    error = 225000.0
  }
}
thresholds JetEfficiency_L1_jJ160Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 180000.0
    error = 260000.0
  }
}
thresholds JetEfficiency_L1_jJ180Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 235000.0
    error = 320000.0
  }
}
thresholds JetEfficiency_L1_SC111-CjJ40Thresholds {
  limits Plateau {
    warning = 0.99
    error = 0.95
  }
  limits Threshold {
    warning = 195000.0
    error = 300000.0
  }
}
thresholds Efex_hcal_hot_etaThiMapFilledThresholds {
  limits NBins {
    warning = 50
    error = 3200
  }
}
